Contenuto
Indice 🔎︎

# Avviare il software LibreOffice con parametri

Avviando il software LibreOffice dalla riga di comando potete assegnare vari parametri con i quali influenzare le prestazioni del programma. L'uso dei parametri della riga di comando è consigliato solo a utenti esperti.

Per una normale gestione, l'uso dei parametri della riga di comando non è necessario. Alcuni parametri richiedono una conoscenza più approfondita della tecnologia di base del software LibreOffice.

## Avviare il programma LibreOffice dalla riga di comando

1. Cercate Esegui nel menu Start di Windows.

2. Digitate il testo seguente nel campo Apri, quindi fate clic su OK.

3. {install}\program\soffice.exe {parametro}

   Sostituite {install} col percorso alla vostra installazione del programma LibreOffice (per esempio, C:\Program Files\LibreOffice

1. Aprite una shell nelle piattaforme basate su Linux, *BSD, o macOS.

2. Digitate la riga di testo seguente, poi premete Invio:

   {install}/program/soffice {parametro}

   Sostituite {install} col percorso alla vostra installazione del programma LibreOffice (per esempio, /opt/LibreOffice in UNIX)

## Parametri della riga di comando validi

### Uso senza argomenti speciali

L'uso senza argomenti apre il Centro di avvio.

{file} | Tenta di aprire il file, o i file, nei componenti a loro adatti.
{file} macro:///[Library.Module.MacroName] | Apre il file e applica le macro specificate dal file.

### Ottenere aiuto e informazioni

Parametro | Significato
--help / -h / -? | Elenca i parametri della riga di comando disponibili nella console.
--helpwriter | Apre la Guida in linea o sul web di LibreOffice in Writer.
--helpcalc | Apre la Guida in linea o sul web di LibreOffice in Calc.
--helpdraw | Apre la Guida in linea o sul web di LibreOffice in Draw.
--helpimpress | Apre la Guida in linea o sul web di LibreOffice in Impress.
--helpbase | Apre la Guida in linea o sul web di LibreOffice in Base.
--helpbasic | Apre la Guida in linea o sul web di LibreOffice nel linguaggio di script Basic.
--helpmath | Apre la Guida in linea o sul web di LibreOffice in Math.
--version | Mostra la versione di LibreOffice ed esce.
--nstemporarydirectory | (Solo sandbox macOS) Restituisce il percorso della cartella temporanea per l'utente corrente ed esce. Non considera tutti gli altri argomenti.

### Argomenti generali

Parametro | Significato
--quickstart[=no] | Attiva o disattiva il servizio Quickstart. Può accettare solo un parametro no disattiva il servizio Quickstart. Senza parametri il servizio è attivato.
--nolockcheck | Disabilita la verifica di istanze remote che utilizzano l'installazione.
--infilter=InputFilterName [:InputFilterParam[,param]] | Forza un tipo di filtro di immissione, se possibile. Ad esempio: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". Consultate l'elenco filtri dei documenti per la conversione dei file. L'elenco delle opzioni dei filtri per i file Lotus, dBase e Diff. L'elenco delle opzioni dei filtri per i file CSV.
--pidfile={file} | Memorizza il pid di soffice.bin in {file}.
--display {display} | Su piattaforme tipo UNIX, imposta la variabile d'ambiente DISPLAY sul valore {display}. Questo parametro è supportato solo dallo script di avvio per LibreOffice su piattaforme di tipo UNIX.

### Controllo interfaccia programmatica/utente

Parametro | Significato
--nologo | Disabilita la schermata iniziale all'avvio del programma.
--minimized | Avvia il software ridotto a icona. Lo schermo iniziale non viene visualizzato.
--nodefault | Avvia il software senza mostrare nulla tranne la schermata iniziale.

--invisible

Avvia il software in modalità invisibile.

Non saranno visibili né il logo di avvio, né la finestra iniziale del programma. Potete controllare il software LibreOffice e potete controllare e aprire documenti e finestre di dialogo tramite l'API.

Usando il parametro, LibreOffice può essere terminato solo utilizzando Task Manager (Windows) oppure il comando kill (sistemi di tipo UNIX).

Non può essere utilizzato assieme a --quickstart.

Per ulteriori informazioni, consultate la Developer's Guide di LibreOffice.

--headless | Avvia il software in "modalità headless", che consente di utilizzare l'applicazione senza interfaccia utente. Questo modo speciale può essere utilizzato quando l'applicazione viene controllata da client esterni tramite l'API.
--norestore | Disabilita il riavvio e il recupero file dopo un crash del sistema.
--safe-mode | Avvia in modalità provvisoria, ossia avvia temporaneamente con un profilo nuovo e aiuta a ripristinare una configurazione danneggiata.
--accept={UNO} | Notifica al software LibreOffice che alla creazione di "UNO Acceptor Threads", verrà utilizzata una "UNO Accept String". UNO-URL è la stringa per tale tipo di uno:connection-type,params;protocol-name,params;ObjectName. Per ulteriori informazioni, consultate la Developer's Guide di LibreOffice.
--unaccept={UNO-URL} | Chiude un accettore che era stato creato con --accept={UNO-URL}. Usa --unaccept=all per chiudere tutti gli accettori aperti.
--language={lang} | Usa la lingua specificata, se non è stata ancora selezionata per l'interfaccia utente. La lingua è un codice di lingua in formato IETF.

### Argomenti per gli sviluppatori

Parametro | Significato
--terminate_after_init | Uscita dopo l'inizializzazione completa (nessun documento caricato).
--eventtesting | Uscita dopo aver caricato i documenti.

Gli utenti Unix e Linux possono invocare LibreOffice con questi parametri aggiuntivi a scopo di debug.

Parametro | Significato
--record | Un debugger avanzato.
--backtrace | Stampa il backtrace dell'intero stack.
--strace | strace è un accessorio Linux per spazio utente dedicato alla diagnostica, il debug e la didattica.
--valgrind | Rileva automaticamente molti errori di threading e gestione della memoria, e profila il programma in dettaglio.

Le opzioni di debug --record, --backtrace, --strace e --valgrind non si possono utilizzare assieme. Utilizzatele una per volta.

### Nuovi argomenti per la creazione di documenti

Gli argomenti creano un documento vuoto del tipo specificato. In una riga di comando può essere usato un solo argomento. Se dopo un argomento sono specificati i nomi di file, allora esso tenta di aprire tali file nel componente specificato.

Parametro | Significato
--writer | Avvia il software con un documento di Writer vuoto.
--calc | Avvia il software con un documento di Calc vuoto.
--draw | Avvia il software con un documento di Draw vuoto.
--impress | Avvia il software con un documento di Impress vuoto.
--math | Avvia il software con un documento di Math vuoto.
--global | Avvia il software con un documento master di Writer vuoto.
--web | Avvia il software con un documento HTML vuoto.

### Argomenti per apertura file

Gli argomenti definiscono come sono trattati i nomi di file che seguono. Il nuovo trattamento inizia dopo l'argomento e finisce all'argomento successivo. Il trattamento predefinito è aprire i documenti per la modifica e creare documenti nuovi dai modelli di documento.

Parametro | Significato
-n | Tratta i file che seguono come modelli per la creazione di nuovi documenti.
-o | Apre i file che seguono per la modifica, a prescindere che siano modelli o no.

--pt {Printername}

Stampa i file che seguono sulla stampante {nomestampante} e termina. La schermata iniziale non compare.

Se il nome file contiene degli spazi, è necessario racchiuderlo tra virgolette.

Se utilizzato più volte, solo l'ultimo {Printername} funziona per tutti i documenti di tutte le esecuzioni di --pt.

Inoltre, l'argomento --printer-name dell'interrutore --print-to-file interferisce con {Printername}.

-p | Stampa i file che seguono sulla stampante predefinita, dopodiché i file vengono chiusi. La schermata iniziale non compare. Se il nome file contiene degli spazi, è necessario racchiuderlo tra virgolette.
--view | Apre i file che seguono in modo visualizzazione (in sola lettura).
--show | Apre e avvia immediatamente i documenti di presentazione che seguono di ciascuno. I file vengono chiusi dopo la presentazione. I file diversi dai documenti Impress sono aperti in modalità predefinita, a prescindere dalla modalità precedente.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

Se --convert-to è usato più di una volta, l'ultimo valore di OutputFileExtension[:OutputFilterName[:OutputFilterParams]] funziona. Se --outdir è usato più di una volta, solo il suo ultimo valore funziona. Per esempio:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

Consultate l'elenco filtri dei documenti per la conversione dei file.

L'elenco delle opzioni dei filtri per i file Lotus, dBase e Diff.

L'elenco delle opzioni dei filtri per i file CSV.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Batch di stampa su file. Se --outdir non è specificato, allora viene usata la cartella corrente di lavoro come cartella_destinazione.

Se --printer-name o --outdir sono usati più volte, solo l'ultimo valore di ciascuno funziona. Inoltre, {Printername} dell'interruttore --pt interferisce con --printer-name. Per esempio:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | Applica il filtro "txt:Text" ai seguenti documenti di testo e trasferisce il contenuto testuale nella console (implica --headless). Non può essere utilizzato con --convert-to.
-env:VAR[=VALUE] | Imposta una variabile di avvio. Per esempio, per impostare un percorso di un profilo utente non predefinito: -env:UserInstallation=file:///tmp/test

### Interruttori ignorati

Parametro | Significato
-psn | Ignorato (solo macOS)
-Embedding | Ignorato (relativo a COM+; solo Windows)
--nofirststartwizard | Non esegue nulla, accettato solo per compatibilità con versioni precedenti.
--protector {arg1} {arg2} | Usato solo in test di unità e deve avere due argomenti.